ShopList Campaign Job Filters

List Campaign Job Filters

Only for campaigns where the job_selection_mode is dynamic. List the fields this company can use to filter jobs when creating a campaign with job_filter. Each item is one field, with the operators it allows. See Publish a Campaign.

curl -X GET "https://api.getkini.com/campaigns/job_filter/options/" \
  -H "Content-Type: application/json" \
  -H "Company-Id: 1" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
[
  {
    "name": "city",
    "label": "City",
    "type": "select",
    "ops": [
      {
        "name": "eq",
        "multi": false
      }
    ]
  }
]
GET
/campaigns/job_filter/options/
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Authenticate every request with an API key from the Kini Partner App, sent as Authorization: Bearer <your_api_key>.

Authenticate every request with an API key from the Kini Partner App, sent as Authorization: Bearer <your_api_key>.
header
Company-Idinteger
Required

Kini ID of the applicable company.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Authenticate every request with an API key from the Kini Partner App, sent as Authorization: Bearer <your_api_key>.

Headers

Company-Idinteger
Required

Kini ID of the applicable company.

Example:
1

Responses

namestring

Field name to send as field.

labelstring
typestring
Allowed values:stringselectbooleandatetime
opsarray

Operators allowed for this field.